Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	The Common Unix Printing System (CUPS) driver development kit
Name:      	cupsddk
Version:   	1.2.3
Release:   	2
Provides:	cupsddk
License: 	GNU/GPL
URL:		http://www.cups.org
Group:     	System/Configuration/Printing   
Source0: 	%{name}-%{version}-source.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  cups-devel
BuildRequires:  gnutls-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:  libtasn1-devel
BuildRequires:  libgpg-error-devel
BuildRequires:	libgcrypt-devel

%description
The CUPS Driver Development Kit (DDK) provides a suite of standard drivers, a PPD file compiler, and other utilities that can be used to develop printer drivers for CUPS and other printing environments. CUPS provides a portable printing layer for UNIX-based operating systems. The CUPS DDK provides the means for mass-producing PPD files and drivers/filters for CUPS-based printer drivers.

%post
ldconfig

%preun

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install BUILDROOT=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
# already included in cups package
%exclude %_libdir/cups/driver
%_datadir/cupsddk
%_datadir/doc
%_mandir
%_includedir
# no separate devel package, this is a development kit useful
# for developers only

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-2
- rebuilt against gnutls 2.2.2
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version update
* Sun Sep 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1-1
- Initial Release, svn revision 295
